//
//  HelloUserViewController.h
//  HelloUser
//
//  Created by Chris Adamson on 1/1/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

/* non-property version
//START:code.HelloUser.HelloUserViewController.headerswithoutproperties
#import <UIKit/UIKit.h>

@interface HelloUserViewController : UIViewController {

	IBOutlet UILabel *helloLabel; //<label id="code.hellouserviewcontroller.headerswithoutproperties.hellolabel"/>
	IBOutlet UITextField *nameField; //<label id="code.hellouserviewcontroller.headerswithoutproperties.namefield"/>
	
}

- (IBAction) sayHello: (id) sender; //<label id="code.hellouserviewcontroller.headerswithoutproperties.sayhello"/>

@end
//END:code.HelloUser.HelloUserViewController.headerswithoutproperties
*/

#import <UIKit/UIKit.h>

//START:code.HelloUser.HelloUserViewController.textfielddelegatedeclaration
@interface HelloUserViewController : UIViewController <UITextFieldDelegate> {
//END:code.HelloUser.HelloUserViewController.textfielddelegatedeclaration
	
	IBOutlet UILabel *helloLabel;
	IBOutlet UITextField *nameField;
	
}

- (IBAction) sayHello: (id) sender;

//START:code.HelloUser.HelloUserViewController.propertydeclarations
@property (nonatomic, retain) UILabel *helloLabel;
@property (nonatomic, retain) UITextField *nameField;
//END:code.HelloUser.HelloUserViewController.propertydeclarations

@end
